summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO22
-rw-r--r--.gitignore2
-rw-r--r--PKGBUILD36
3 files changed, 60 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0cc820e6b20
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = foo2zjs-minimal-nightly
+ pkgdesc = foo2zjs printer drivers with the bare minimum compilation options to ensure package stability.
+ pkgver = 20200610
+ pkgrel = 1
+ url = http://foo2zjs.rkkda.com/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ license = custom
+ makedepends = foomatic-db-engine
+ makedepends = foomatic-db
+ makedepends = curl
+ makedepends = bc
+ depends = cups
+ depends = ghostscript
+ provides = foo2zjs-nightly
+ conflicts = foo2zjs-nightly
+ source = http://foo2zjs.rkkda.com/foo2zjs.tar.gz
+ md5sums = SKIP
+
+pkgname = foo2zjs-minimal-nightly
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..241e560df69
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+*
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..591a686f94a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Adis Hamzić <adis at hamzadis dot com>
+
+pkgname=foo2zjs-minimal-nightly
+pkgver=20200610
+pkgrel=1
+pkgdesc="foo2zjs printer drivers with the bare minimum compilation options to ensure package stability."
+url="http://foo2zjs.rkkda.com/"
+license=('GPL' 'custom')
+depends=('cups' 'ghostscript')
+makedepends=('foomatic-db-engine' 'foomatic-db' 'curl' 'bc')
+conflicts=('foo2zjs-nightly')
+provides=('foo2zjs-nightly')
+arch=('i686' 'x86_64')
+source=("http://foo2zjs.rkkda.com/foo2zjs.tar.gz")
+md5sums=('SKIP')
+
+pkgver() {
+ local modified=$(curl -s 'http://foo2zjs.rkkda.com' | sed -nre 's|.*Tarball last modified: <i>(.+)</i>.*|\1|p')
+ if ! [[ "$modified" ]]; then
+ echo "Warning: can't find package date, using today"
+ fi
+
+ date "+%Y%m%d" -u -d "$modified"
+}
+
+build() {
+ cd "${srcdir}/foo2zjs"
+ make all
+}
+
+package() {
+ cd "${srcdir}/foo2zjs"
+ install -d "${pkgdir}"/usr/share/{applications,pixmaps,cups/model}
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ make DESTDIR="${pkgdir}" UDEVBIN="${pkgdir}/usr/bin" install
+}